Anyone have this? "Your server is out of date. Please update and restart."

My dedicated server is out of date. I’ve updated many times, and switched to SteamCMD instead of Hlupdatetool. The problem still persists and I’m out of ideas. Does anyone have this problem?

SteamCMD will be the new Hlupdatetool eventually, steam explains how to use it here.

You use the new startup line for servers. The old startup line doesn’t work anymore.

Type version and post the results.

I’ve redownloaded everything from steam yesterday, starting fresh. But surprisingly my game client still cannot join because my dedicated server is running a older version of garrysmod.

Latest version is:



Protocol version 24
Exe version 13.05.29 (garrysmod)
Exe build: 17:29:45 Jun  5 2013 (5326) (4000)


How did you update the server exactly?

I used this code.


steamcmd +login anonymous +force_install_dir ../gmod13_june +app_update 4020 validate +quit

Thanks, I believe the problem was the two dots before the directory path, I misplaced the files in another directory.

You are launching the server from that gmod13_june directory right? Checked your launch script incase of a hardcoded directory?

Ok, thank you for your suggestions. Now I’m updating the files in the correct directory.